const express = require('express');
const video_Router = require("./routers/video_Router.js");
const document_Router = require("./routers/document_Router.js");
const app = express();

const PORT = process.env.PORT || 3000;

app.listen(PORT, () => 
    console.log( "Server running on PORT", PORT)
);

app.get("/api/v1/healthcheck", async (req,res) =>{
    res.status(200).send("running")
});

app.use("/videos", video_Router);
app.use("/documents", document_Router);